org.keycloak.representations.idm

## Class RoleRepresentation.Composites

- java.lang.Object
- - org.keycloak.representations.idm.RoleRepresentation.Composites

- Enclosing class:
    RoleRepresentation

      public static class RoleRepresentation.Composites
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Map<String,List<String>>` | `application` Deprecated.
    `protected Map<String,List<String>>` | `client`
    `protected Set<String>` | `realm`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Composites()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,List<String>>` | `getApplication()` Deprecated.
    `Map<String,List<String>>` | `getClient()`
    `Set<String>` | `getRealm()`
    `void` | `setClient(Map<String,List<String>> client)`
    `void` | `setRealm(Set<String> realm)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### realm

          protected Set<String> realm

    - #### client

          protected Map<String,List<String>> client

    - #### application

          @Deprecated
          protected Map<String,List<String>> application

      Deprecated.

  - ### Constructor Detail

    - #### Composites

          public Composites()

  - ### Method Detail

    - #### getRealm

          public Set<String> getRealm()

    - #### setRealm

          public void setRealm(Set<String> realm)

    - #### getClient

          public Map<String,List<String>> getClient()

    - #### setClient

          public void setClient(Map<String,List<String>> client)

    - #### getApplication

          @Deprecated
          public Map<String,List<String>> getApplication()

      Deprecated.

Copyright © 2021 JBoss by Red Hat. All rights reserved.